Bug 481445 - revisor does not use yum proxy when downloading the root image packages
revisor does not use yum proxy when downloading the root image packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 18:33 EST by Philippe Troin
Modified: 2009-12-18 02:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2009-01-24 18:33:25 EST
Description of problem:

I've been experimenting with revisor.
In order to avoid downloading and redownloading packages all the time, I have set up a Squid proxy.
I've changed the /etc/revisor/conf.d/*.conf files to point at my proxy.
When downloading the packages to be put in the installation medium, the proxy is used.
However, at a later stage, revisor download the packages required by the installer itself.
These downloads do not go through the proxy.

Version-Release number of selected component (if applicable):
revisor-2.1.3-1.fc10.noarch

How reproducible:
Always.

Steps to Reproduce:
1.Add proxy* lines to /etc/revisor/conf.d/whatever.conf
2.Use revisor
3.Notice that some downloads bypass the proxy.
  
Additional info:
It looks like the /usr/lib/revisor/scripts/F10-buildinstall regenerates a yum.conf file.  This /tmp/yum.conf.* file omits proxy information.
Comment 1 Jeroen van Meeuwen 2009-01-25 05:39:21 EST
Could you tell us if setting the http_proxy/HTTP_PROXY environment variable helps?
Comment 2 Philippe Troin 2009-01-26 00:04:06 EST
Yes, I've just checked that if I'm setting the HTTP_PROXY environment variable, then the proxy is used for both the image package downloads and the installer package downloads.
Comment 3 Jeroen van Meeuwen 2009-01-27 12:04:41 EST
OK, I'll be working on fixing this in Revisor or anaconda, so meanwhile please use this environment variable workaround.
Comment 4 Fedora Admin XMLRPC Client 2009-01-31 19:06:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2009-11-18 05:51:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:41:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.